Subject: bug#13334: 24.3.50; enhancement request: `C-0 M-n' reverses order of defaults

From: Drew Adams <[email-masked]>
Date: Sat, 30 Apr 2016 07:22:24 -0800 (GMT-08:00)

> > The only reason what I suggested might be considered slightly better
> > is that `C-p' is generally thought of as accessing the input history
> > (see the above confusion), not the defaults.
> >
> > That's the case at the outset, but of course once you've used one of
> > `C-n' or `C-p' the other just reverses within the list (inputs or
> > defaults) that you started cycling, until you get back to the starting
> > point (origin, dividing the two lists).
> 
> (Do you mean M-n, M-p?)

Yes, sorry.

> Internally it's just one list AFAIK (with the starting point somewhere
> in the middle after defaults have been added, so to say).  M-n and M-p
> move through the complete list without distinguishing in which "part" we
> are - history or defaults.  So I don't think just going to the end of
> the defaults would be confusing.

As I say, it would be fine by me.

And yes it is one list, and no, there is no distinguishing
the parts (perhaps there should be).  Still the two parts
are different.